Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 230271 - dev-db/mysql-5.0.60-r1 fails to configure (libtool 2.2?)
Summary: dev-db/mysql-5.0.60-r1 fails to configure (libtool 2.2?)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Gentoo Linux MySQL bugs team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libtool-2.2
  Show dependency tree
 
Reported: 2008-06-30 21:57 UTC by Patrizio Bassi
Modified: 2008-10-16 18:48 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
config.log (config.log,701.06 KB, text/plain)
2008-06-30 22:12 UTC, Patrizio Bassi
Details
mysql.eclass-libtool-2.2.patch (mysql.eclass-libtool-2.2.patch,943 bytes, patch)
2008-07-04 21:03 UTC, Peter Alfredsen (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrizio Bassi 2008-06-30 21:57:09 UTC
configure.ac:261: warning: LTOPTIONS_VERSION is m4_require'd but not m4_defun'd
aclocal.m4:184: LT_INIT is expanded from...
aclocal.m4:219: AC_PROG_LIBTOOL is expanded from...
configure.ac:261: the top level
configure.ac:261: warning: LTSUGAR_VERSION is m4_require'd but not m4_defun'd
configure.ac:261: warning: LTVERSION_VERSION is m4_require'd but not m4_defun'd
configure.ac:261: warning: LTOBSOLETE_VERSION is m4_require'd but not m4_defun'd
Running autoconf to build configure
configure.ac:261: warning: LTOPTIONS_VERSION is m4_require'd but not m4_defun'd
aclocal.m4:184: LT_INIT is expanded from...
aclocal.m4:219: AC_PROG_LIBTOOL is expanded from...
configure.ac:261: the top level
configure.ac:261: warning: LTSUGAR_VERSION is m4_require'd but not m4_defun'd
configure.ac:261: warning: LTVERSION_VERSION is m4_require'd but not m4_defun'd
configure.ac:261: warning: LTOBSOLETE_VERSION is m4_require'd but not m4_defun'd
configure:6105: error: possibly undefined macro: m4_ifval
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure:9870: error: possibly undefined macro: _LT_SET_OPTIONS
configure:9870: error: possibly undefined macro: LT_INIT
927959
927816
Building RPC client/server files
Building ../build_win32/db.h
Building tags

[cut]


checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i686-pc-linux-gnu-gcc accepts -g... yes
checking for i686-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking whether we are using gcc version 2.96... no
checking whether g++ requires -fhandle-exceptions... no
../../././bdb/dist/configure: line 6023: LTOPTIONS_VERSION: command not found
../../././bdb/dist/configure: line 6024: LTSUGAR_VERSION: command not found
../../././bdb/dist/configure: line 6025: LTVERSION_VERSION: command not found
../../././bdb/dist/configure: line 6026: LTOBSOLETE_VERSION: command not found
checking for a sed that does not truncate output... /bin/sed
../../././bdb/dist/configure: line 6103: syntax error near unexpected token `lt_decl_varnames,'
../../././bdb/dist/configure: line 6103: `lt_if_append_uniq(lt_decl_varnames, SED, , ,'
configure: error: could not configure Berkeley DB

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/dev-db/mysql-5.0.60-r1/work/mysql/config.log
 *
 * ERROR: dev-db/mysql-5.0.60-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3565:  Called mysql_src_compile
 *             environment, line 3167:  Called econf '--libexecdir=/usr/sbin' '--sysconfdir=/etc/mysql' '--localstatedir=/var/lib/mysql' '--sharedstatedir=/usr/share/mysql' '--libdir=/usr/lib/mysql' '--includedir=/usr/include/mysql' '--with-low-memory' '--with-client-ldflags=-lstdc++' '--enable-thread-safe-client' '--with-comment=Gentoo Linux mysql-5.0.60-r1' '--without-docs' '--without-big-tables' '--enable-local-infile' '--with-extra-charsets=all' '--with-mysqld-user=mysql' '--with-server' '--with-unix-socket-path=/var/run/mysqld/mysqld.sock' '--without-libwrap' '--enable-shared' '--enable-static' '--without-debug' '--with-charset=utf8' '--with-collation=utf8_general_ci' '--without-embedded-privilege-control' '--without-embedded-server' '--with-bench' '--enable-assembler' '--with-extra-tools' '--with-innodb' '--without-readline' '--with-openssl' '--with-berkeley-db=./bdb' '--with-geometry' '--without-ndbcluster' '--with-archive-storage-engine' '--with-csv-storage-engine' '--with-blackhole-storage-engine' '--with-federated-storage-engine'
 *               ebuild.sh, line  526:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *  The die message:
 *   econf failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/dev-db/mysql-5.0.60-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-db/mysql-5.0.60-r1/temp/environment'.
 *


WARNING: repository at /usr/local/portage is missing a repo_name entry
Portage 2.2_rc1 (default-linux/x86/2007.0, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.25.4 i686)
=================================================================
System uname: Linux-2.6.25.4-i686-Celeron_-Coppermine-with-glibc2.0
Timestamp of tree: Sun, 29 Jun 2008 11:00:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r5
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r2
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-Os -mtune=pentium3 -march=pentium3 -msse -mmmx -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /opt/openjms/config /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-Os -mtune=pentium3 -march=pentium3 -msse -mmmx -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://www.die.unipd.it/pub/Linux/distributions/gentoo-sources/ http://mirror.gentoo.no/ http://darkstar.ist.utl.pt/gentoo/ http://src.gentoo.pl"
LANG="39"
LC_ALL="it_IT.utf8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--enable-new-dtags -Wl,--as-needed -Wl,--hash-style=both"
LINGUAS="it"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X X509 Xaw3d a52 aac aalib accessibility acl acpi activefilter aiglx alsa amuled apache2 ares asf audiofile bash-completion berkdb bidi bonobo bootsplash browserplugin bzip2 cairo caps cdda cddb cdio cdparanoia cgi chroot clamav cli client codecs cracklib crypt css cups curl dba dbus dga dhcp directfb divx4linux djbfft dri edl ethereal exif expat extraengine faac faad fbcon ffmpeg fftw flac flash foomaticdb foreign-package fortran fuse gcj gd gdbm geometry gif gimp gimpprint glibc-omitfp glx gnokii gnome gpm graphviz gs gtk gtkhtml guile hal iconv idea imap innodb ipv6 irda irmc isdnlog jack java javascript jikes jit jpeg jpeg2k justify kdeenablefinal kdehiddenvisibility kerberos kqemu lame lcd ldap libcaca libclamav libgda libusb lirc live lm_sensors lua lzo mad madwifi mailwrapper matroska md5sum mdb midi mime mmx mmx2 mmxext mng mono motif mozcalendar mozdevelop mozsvg mozxmlterm mp3 mp4live mpeg mpeg2 mpeg4 mplayer mudflap musepack mysql mysqli mythtv nagios-dns nagios-ntp nagios-ping nagios-ssh ncurses neXt network networking nls nntp no_wxgtk1 nobsh nopie nossp noxalan nptl nptlonly nsplugin oav ocaml odbc ogg openal opengl openmp operanom2 oracle pam pcmcia pcre pda pdf pdo pear perl php pike png pnp postgres ppds pppd pthreads python qemu-fast qhull quotas readline real reflection remote rrdtool rtc ruby samba scanner sdl server session sftplogging slang slp snortsam soap sockets socks5 softmmu softquota spamassassin speex spl sqlite3 sse ssl stats subject-rewrite svg svga tcl tcltk tcpd tetex tga theora threads tiff tk tokenizer truetype trusted unicode usb userlocales utf8 vidix vorbis wifi win32codecs wma wmf wsconvert wxwindows x264 x86 xanim xchatdccserver xchattext xine xinerama xml xmlrpc xorg xosd xpm xprint xsl xv xvid xvm xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1  emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m       maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" USERLAND="GNU" VIDEO_CARDS="sis fbdev vesa vga"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jeroen Roovers gentoo-dev 2008-06-30 22:06:57 UTC
Please post your `emerge --info' on this bug and do read the error messages too:
!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/dev-db/mysql-5.0.60-r1/work/mysql/config.log
Comment 2 Patrizio Bassi 2008-06-30 22:12:18 UTC
Created attachment 159029 [details]
config.log
Comment 3 Patrizio Bassi 2008-06-30 22:13:34 UTC
emerge info was already attached.

on amd64 profile (basically same config) i get the same libtool warnings and errors but it succeds
Comment 4 Rafał Mużyło 2008-07-01 00:36:12 UTC
This a problem of eclass being incompatible with libtool 2.
It does only 'cp -f "/usr/share/aclocal/libtool.m4" "bdb/dist/aclocal/libtool.ac'
but libtool 2 has split libtool.4 into separete files, only one of them being libtool.m4.
Instead it should probably check for libtool version, and if it's >= 2.2,
cat all those files to bdb/dist/aclocal/libtool.ac.
Comment 5 Jeroen Roovers gentoo-dev 2008-07-01 01:19:29 UTC
(In reply to comment #3)
> emerge info was already attached.

Yes, sorry about that.
Comment 6 Peter Alfredsen (RETIRED) gentoo-dev 2008-07-04 21:03:38 UTC
Created attachment 159567 [details, diff]
mysql.eclass-libtool-2.2.patch

This patch makes code of what the esteemed Rafa? Mu?y?o says above. Compiles on x86. Why is it that we haven't yet recruited Rafa?, btw?
Comment 7 Patrizio Bassi 2008-07-14 16:34:49 UTC
Peter can we apply to portage?
Comment 8 Iain Buchanan 2008-07-30 03:55:26 UTC
Update?  eclass patch works for me on ~x86.


$ emerge --info
WARNING: repository at /usr/local/portage is missing a repo_name entry
WARNING: repository at /usr/local/portage-synce-overlay is missing a repo_name entry
Portage 2.2_rc3 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.8_p20080602-r0, 2.6.26-tuxonice i686)
=================================================================
System uname: Linux-2.6.26-tuxonice-i686-Intel-R-_Core-TM-2_Duo_CPU_T9500_@_2.60GHz-with-glibc2.0
Timestamp of tree: Tue, 29 Jul 2008 06:15:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.4.4-r6, 2.5.2-r5
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.62-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="ftp://morpheus.pcorp.com.au/pub/gentoo-portage/ http://mirror.internode.on.net/pub/gentoo/ http://ftp.swin.edu.au/gentoo/"
LANG="en_AU"
LC_ALL="en_AU"
LDFLAGS="-Wl,-O1"
LINGUAS="en_AU en en_GB en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/portage-synce-overlay"
SYNC="rsync://rsync.au.gentoo.org/gentoo-portage"
USE="X aac acl acpi aiglx alsa avahi berkdb bzip2 cli cracklib crypt cups dbus dri esd ffmpeg fortran gdbm gnome gpm gtk hal iconv ipv6 isdnlog jpeg libnotify midi mpeg mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection samba session smb spl ssl tcpd unicode x86 xinerama xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_AU en en_GB en_US" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 9 Attila Jecs 2008-08-07 19:17:35 UTC
status?

server2 ~ # emerge --info
Portage 2.2_rc6 (default-linux/x86/2007.0/desktop, gcc-4.2.3, glibc-2.8_p20080602-r0, 2.6.26-gentoo i686)
=================================================================
System uname: Linux-2.6.26-gentoo-i686-AMD_Sempron-tm-_Processor_3000+-with-glibc2.0
Timestamp of tree: Thu, 07 Aug 2008 18:36:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.4.4-r4, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.62-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.17-r1, 2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS=" -O2 -march=k8 -fomit-frame-pointer -pipe "
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS=" -O2 -march=k8 -fomit-frame-pointer -pipe "
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="hu_HU.UTF-8"
LC_ALL="hu_HU.UTF-8"
LDFLAGS=""
LINGUAS="hu"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X acl acpi alsa bash-completion berkdb bzip2 cairo cdr clamav cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode evo fam firefox gdbm gif gpm hal iconv isdnlog java jpeg jpeg2k kde kerberos ldap lm_sensors logrotate mad midi mikmod mmx mmxext mp3 mpeg mplayer mudflap mysql ncurses nls nptl nptlonly nsplugin ogg openexr opengl openmp oss pam pcre pdf perl png pppd python qt3support qt4 quicktime readline reflection samba session slang spell spl sse sse2 sse3 ssl svg tcpd tiff truetype unicode urandom utempter vorbis win32codecs x86 xcomposite xml xorg xv zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1     emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m       maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile               authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter             file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp                 proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="hu" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

server2 ~ # emerge mysql
...
checking whether g++ requires -fhandle-exceptions... no
../../././bdb/dist/configure: line 6023: LTOPTIONS_VERSION: command not found
../../././bdb/dist/configure: line 6024: LTSUGAR_VERSION: command not found
../../././bdb/dist/configure: line 6025: LTVERSION_VERSION: command not found
../../././bdb/dist/configure: line 6026: LTOBSOLETE_VERSION: command not found
checking for a sed that does not truncate output... /bin/sed
../../././bdb/dist/configure: line 6103: syntax error near unexpected token `lt_decl_varnames,'
../../././bdb/dist/configure: line 6103: `lt_if_append_uniq(lt_decl_varnames, SED, , ,'
configure: error: could not configure Berkeley DB

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/dev-db/mysql-5.0.60-r1/work/mysql/config.log
 * ERROR: dev-db/mysql-5.0.60-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3561:  Called mysql_src_compile
 *             environment, line 3163:  Called econf '--libexecdir=/usr/sbin' '--sysconfdir=/etc/mysql' '--localstatedir=/var/lib/mysql' '--sharedstatedir=/usr/share/mysql' '--libdir=/usr/lib/mysql' '--includedir=/usr/include/mysql' '--with-low-memory' '--with-client-ldflags=-lstdc++' '--enable-thread-safe-client' '--with-comment=Gentoo Linux mysql-5.0.60-r1' '--without-docs' '--without-big-tables' '--enable-local-infile' '--with-extra-charsets=all' '--with-mysqld-user=mysql' '--with-server' '--with-unix-socket-path=/var/run/mysqld/mysqld.sock' '--without-libwrap' '--enable-shared' '--enable-static' '--without-debug' '--with-charset=utf8' '--with-collation=utf8_general_ci' '--without-embedded-privilege-control' '--without-embedded-server' '--with-bench' '--enable-assembler' '--with-extra-tools' '--with-innodb' '--without-readline' '--with-openssl' '--with-berkeley-db=./bdb' '--with-geometry' '--without-ndbcluster'
 *               ebuild.sh, line  538:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *  The die message:
 *   econf failed
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/dev-db/mysql-5.0.60-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-db/mysql-5.0.60-r1/temp/environment'.
Comment 10 Attila Jecs 2008-08-07 20:16:01 UTC
dontworksforme:

mod_sql.c: In function ‘check_auth_openssl’:
mod_sql.c:677: warning: pointer targets in passing argument 3 of ‘EVP_DigestFinal’ differ in signedness
mod_sql.c:680: warning: pointer targets in passing argument 1 of ‘EVP_EncodeBlock’ differ in signedness
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H  -DLINUX  -I.. -I../include -I/usr/include/mysql -O2 -march=k8 -fomit-frame-pointer -pipe  -DUSE_LDAP_TLS -Wall -c mod_sql_mysql.c
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H  -DLINUX  -I.. -I../include -I/usr/include/mysql -O2 -march=k8 -fomit-frame-pointer -pipe  -DUSE_LDAP_TLS -Wall -c mod_cap.c
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H  -DLINUX  -I.. -I../include -I/usr/include/mysql -O2 -march=k8 -fomit-frame-pointer -pipe  -DUSE_LDAP_TLS -Wall -c mod_ctrls.c
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H  -DLINUX  -I.. -I../include -I/usr/include/mysql -O2 -march=k8 -fomit-frame-pointer -pipe  -DUSE_LDAP_TLS -Wall -c mod_lang.c
srcdir=. ./glue.sh mod_core.o mod_xfer.o mod_auth_unix.o  mod_auth.o mod_ls.o mod_log.o mod_site.o mod_delay.o mod_ratio.o mod_readme.o mod_facl.o mod_clamav.o mod_auth_pam.o mod_tls.o mod_wrap.o mod_ldap.o mod_sql.o mod_sql_mysql.o mod_cap.o mod_ctrls.o mod_lang.o
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H  -DLINUX  -I.. -I../include -I/usr/include/mysql -O2 -march=k8 -fomit-frame-pointer -pipe  -DUSE_LDAP_TLS -Wall -c module_glue.c
make[1]: Leaving directory `/var/tmp/portage/net-ftp/proftpd-1.3.1/work/proftpd-1.3.1/modules'
test -z """" -a -z """" || (cd modules/ && make shared)
/bin/sh ./libtool --mode=link i686-pc-linux-gnu-gcc -L./lib  -lresolv   -o proftpd src/main.o src/timers.o src/sets.o src/pool.o src/table.o src/regexp.o src/dirtree.o src/support.o src/netaddr.o src/inet.o src/child.o src/parser.o src/log.o src/lastlog.o src/xferlog.o src/bindings.o src/netacl.o src/class.o src/scoreboard.o src/help.o src/feat.o src/netio.o src/response.o src/ident.o src/data.o src/modules.o src/display.o src/auth.o src/fsio.o src/mkhome.o src/ctrls.o src/event.o src/var.o src/trace.o src/utf8.o src/proctitle.o src/pidfile.o src/env.o modules/mod_core.o modules/mod_xfer.o modules/mod_auth_unix.o  modules/mod_auth.o modules/mod_ls.o modules/mod_log.o modules/mod_site.o modules/mod_delay.o modules/mod_cap.o modules/mod_sql_mysql.o modules/mod_sql.o modules/mod_ldap.o modules/mod_wrap.o modules/mod_tls.o modules/mod_auth_pam.o modules/mod_clamav.o modules/mod_facl.o modules/mod_readme.o modules/mod_ratio.o  modules/mod_ctrls.o modules/mod_lang.o modules/module_glue.o  -lacl  -Llib/libcap -lcap  -lm -lmysqlclient -lz  -lldap -llber  -lwrap -lnsl  -lssl -lcrypto  -lpam -lsupp -lcrypt
./libtool: line 454: CDPATH: command not found
./libtool: line 1146: func_opt_split: command not found
libtool: Version mismatch error.  This is libtool 2.2.4, but the
libtool: definition of this LT_INIT comes from an older release.
libtool: You should recreate aclocal.m4 with macros from libtool 2.2.4
libtool: and run autoconf again.
make: *** [proftpd] Error 63
 * ERROR: net-ftp/proftpd-1.3.1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2909:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed"
 *  The die message:
 *   emake failed
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/net-ftp/proftpd-1.3.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-ftp/proftpd-1.3.1/temp/environment'.

Comment 11 Rafał Mużyło 2008-08-09 20:59:47 UTC
And just how is comment 10 relevant to this bug ?
Comment 12 John Covici 2008-09-01 00:35:25 UTC
The patch worked for me.  My emerge --info is below.

I had a syntax error in the same area.

Portage 2.2_rc8 (default/linux/x86/2008.0/desktop, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.25-gentoo-r6 i686)
=================================================================
System uname: Linux-2.6.25-gentoo-r6-i686-Intel-R-_Core-TM-2_Duo_CPU_E8400_@_3.00GHz-with-glibc2.0
Timestamp of tree: Sat, 30 Aug 2008 12:33:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.4.4-r13, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.62-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="x86 ~x86"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol"
ANT_HOME="/usr/share/ant-core"
APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias"
APACHE2_MPMS="prefork"
ARCH="x86"
AUTOCLEAN="yes"
BASH_ENV="/root/.bashrc"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -mtune=nocona -pipe"
CHOST="i686-pc-linux-gnu"
CLASSPATH="."
CLEAN_DELAY="5"
CONFIG_PROTECT="/etc /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CVS_RSH="ssh"
CXXFLAGS="-O2 -mtune=nocona -pipe"
DISTDIR="/usr/portage/distfiles"
EDITOR="/usr/bin/emacs"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--ask --color=n  --verbose --nospinner"
EMERGE_WARNING_DELAY="10"
FEATURES="distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
FETCHCOMMAND="/usr/bin/wget -t 5 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
GCC_SPECS=""
GDK_USE_XFT="1"
GENERATION="2"
GENTOO_MIRRORS="ftp://mirror.iawnet.sandia.gov/pub/gentoo http://distfiles.gentoo.org"
HOME="/root"
HUSHLOGIN="FALSE"
INFOPATH="/usr/share/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.18/info:/usr/share/gcc-data/i686-pc-linux-gnu/4.3.1/info"
INPUT_DEVICES="keyboard mouse evdev"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KERNEL="linux"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LDFLAGS="-Wl,-O1"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe.sh %s"
LOGNAME="root"
LS_COLORS="no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.svgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.pdf=00;32:*.ps=00;32:*.txt=00;32:*.patch=00;32:*.diff=00;32:*.log=00;32:*.tex=00;32:*.doc=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:"
MAIL="/var/mail/root"
MAILMAN_MAILGID="2"
MAKEOPTS="-j2"
MANPATH="/etc/java-config-2/current-system-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/binutils-data/i686-pc-linux-gnu/2.18/man:/usr/share/gcc-data/i686-pc-linux-gnu/4.3.1/man:/opt/sun-jdk-1.4.2.13/man:/etc/java-config/system-vm/man/:/usr/lib/php5/man/:/usr/qt/3/doc/man"
NOCOLOR="true"
OLDPWD="/root"
OPENGL_PROFILE="nvidia"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/sbin:/sbin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/i686-pc-linux-gnu/gcc-bin/4.3.1:/opt/sun-jdk-1.4.2.13/bin:/opt/sun-jdk-1.4.2.13/jre/bin:/opt/sun-jdk-1.4.2.13/jre/javaws:/usr/qt/3/bin:/root/bin"
PKGDIR="/usr/portage/packages"
PKG_CONFIG_PATH="/usr/qt/3/lib/pkgconfig"
PORTAGE_ARCHLIST="ppc s390 amd64 x86 ppc64 x86-fbsd m68k arm sparc sh mips ia64 alpha hppa sparc-fbsd"
PORTAGE_BINHOST_CHUNKSIZE="3000"
PORTAGE_BIN_PATH="/usr/lib/portage/bin"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="log warn error"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="covici /usr/sbin/sendmail"
PORTAGE_ELOG_SYSTEM="save mail_summary"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_PYM_PATH="/usr/lib/portage/pym"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_RSYNC_RETRIES="3"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PORT_LOGDIR="/var/log/portage"
PRELINK_PATH_MASK="/usr/lib/klibc"
PS1="\h:\w\$ "
PWD="/usr/src"
PYTHONDOCS="/usr/share/doc/python-docs-2.5.1/html/lib"
PYTHONPATH="/usr/lib/portage/pym"
QMAKESPEC="linux-g++"
QTDIR="/usr/qt/3"
RESUMECOMMAND="/usr/bin/wget -c -t 5 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
ROOT="/"
ROOTPATH="/opt/bin:/usr/i686-pc-linux-gnu/gcc-bin/4.3.1:/opt/sun-jdk-1.4.2.13/bin:/opt/sun-jdk-1.4.2.13/jre/bin:/opt/sun-jdk-1.4.2.13/jre/javaws:/usr/qt/3/bin"
RPMDIR="/usr/portage/rpm"
SHELL="/bin/bash"
SHLVL="1"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
TERM="linux"
USE="X accessibility acl acpi alsa berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus doc dri dvd dvdr dvdread eds emboss encode esd evo fam firefox flac fortran gdbm gif gnome gpm gstreamer gtk gtk2 hal iconv ipv6 isdnlog jpeg kde ldap libnotify mad midi mikmod mp3 mpeg mudflap ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3support quicktime readline reflection sdl session spell spl ssl startup-notification svg sysfs tcpd tiff truetype unicode usb vorbis win32codecs x86 xml xorg xulrunner xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="nvidia"
USER="root"
USERLAND="GNU"
USERNAME="root"
USE_EXPAND="ALSA_CARDS ALSA_PCM_PLUGINS APACHE2_MODULES APACHE2_MPMS CAMERAS CROSSCOMPILE_OPTS DVB_CARDS ELIBC FCDSL_CARDS FOO2ZJS_DEVICES FRITZCAPI_CARDS INPUT_DEVICES KERNEL LCD_DEVICES LINGUAS LIRC_DEVICES MISDN_CARDS USERLAND VIDEO_CARDS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_ORDER="env:pkg:conf:defaults:pkginternal:env.d"
UUCPLOCK="/var/lock/LCK.."
VIDEO_CARDS="nvidia"
VMHANDLE="sun-jdk-1.4"
_="/usr/bin/emerge"



Comment 13 Sergiy Borodych 2008-09-10 10:07:30 UTC
For me patch worked too
Comment 14 genbug 2008-09-11 14:09:06 UTC
two months after submission now, can this be committed?

Comment 15 David Sveningsson 2008-09-18 13:05:02 UTC
Patch works for me too with both ~x86 and ~amd64
Comment 16 Oliver Putz 2008-09-27 11:22:36 UTC
One more works here too... (~x86)
Comment 17 Petteri Räty (RETIRED) gentoo-dev 2008-10-16 18:48:40 UTC
21:21 <@Betelgeus> robbat2|na: That file does not exist on a stable system so should be safe
21:22 <@robbat2|na> Betelgeus, +1 from me to apply then

Patch applied. Sorry about the wait.